summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 9cd7f2e4..92b04546 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1478,7 +1478,7 @@ if [ ! $(type -t gettext) ]; then
}
fi
-ARGLIST=$@
+ARGLIST=("$@")
# Parse Command Line Options.
OPT_SHORT="AcCdefFghiLmop:rRsV"
@@ -1901,9 +1901,9 @@ else
msg "$(gettext "Entering fakeroot environment...")"
if [ -n "$newpkgver" ]; then
- fakeroot -- $0 --forcever $newpkgver -F $ARGLIST || exit $?
+ fakeroot -- $0 --forcever $newpkgver -F "${ARGLIST[@]}" || exit $?
else
- fakeroot -- $0 -F $ARGLIST || exit $?
+ fakeroot -- $0 -F "${ARGLIST[@]}" || exit $?
fi
fi
fi